{
  "name": "vue-design-system",
  "version": "3.5.7",
  "description": "Vue Design System is an open-source tool for building Design Systems with Vue.js",
  "author": "viljamis <me@viljamis.com>",
  "main": "dist/system/system.js",
  "files": [
    "dist/system"
  ],
  "homepage": "https://vueds.com",
  "private": true,
  "license": "MIT",
  "scripts": {
    "dev": "webpack-dev-server --inline --config ./build/webpack.dev.conf.js",
    "start": "npm-run-all --parallel styleguide theo:onchange theo dev",
    "unit": "jest --config ./test/unit/jest.conf.js --coverage",
    "build": "npm-run-all theo node:build",
    "build:app": "npm run build",
    "build:system": "npm-run-all theo node:build:system",
    "build:docs": "npm-run-all theo styleguide:build",
    "lint": "eslint '**/*.{js,vue}' --cache",
    "node:build": "node ./build/build.js",
    "node:build:system": "node ./build/build-system.js",
    "styleguide": "vue-styleguidist server --open --config ./config/docs.config.js",
    "styleguide:build": "vue-styleguidist build --config ./config/docs.config.js",
    "theo": "theo ./src/tokens/tokens.yml --transform web --format map.scss,scss,raw.json,json --dest ./src/assets/tokens",
    "theo:onchange": "onchange \"./src/tokens/*.yml\" -- npm run theo",
    "test": "npm-run-all theo unit",
    "prepare": "npm install npm-run-all && npm install theo && npm run build:system"
  },
  "husky": {
    "hooks": {
      "pre-commit": "pretty-quick --staged"
    }
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/intracto/design-system/vue-design-system"
  },
  "keywords": [
    "vue design system",
    "design system",
    "vue.js",
    "vue",
    "design",
    "system"
  ],
  "babel": {
    "presets": [
      "@babel/preset-env"
    ],
    "plugins": [
      "@babel/plugin-syntax-dynamic-import",
      "@babel/plugin-proposal-class-properties",
      "@babel/plugin-proposal-object-rest-spread",
      "@babel/plugin-transform-runtime"
    ],
    "env": {
      "test": {
        "presets": [
          "@babel/preset-env"
        ],
        "plugins": [
          "@babel/plugin-syntax-dynamic-import",
          "@babel/plugin-proposal-class-properties",
          "@babel/plugin-proposal-object-rest-spread"
        ]
      }
    }
  },
  "eslintConfig": {
    "extends": [
      "eslint:recommended",
      "plugin:vue/essential"
    ],
    "env": {
      "browser": true,
      "node": true
    },
    "rules": {
      "indent": [
        "error",
        2
      ],
      "vue/no-unused-vars": "error",
      "quotes": [
        "error",
        "double"
      ],
      "no-extra-semi": "off",
      "semi": [
        "error",
        "never"
      ],
      "semi-style": [
        "error",
        "last"
      ],
      "no-console": "off"
    },
    "parserOptions": {
      "sourceType": "module",
      "ecmaVersion": 8,
      "ecmaFeatures": {
        "jsx": true
      }
    }
  },
  "dependencies": {
    "flickity": "^2.2.0",
    "lodash": "^4.17.11",
    "mini-css-extract-plugin": "^0.4.5",
    "postcss-import": "^12.0.1",
    "postcss-loader": "^3.0.0",
    "postcss-safe-parser": "^4.0.1",
    "postcss-url": "^8.0.0",
    "tinycolor2": "^1.4.1",
    "vue": "^2.6.10",
    "vue-lodash": "^2.0.0",
    "vue-meta": "^1.5.6",
    "vue-router": "^3.0.2",
    "vuex": "^3.0.1",
    "webfontloader": "^1.6.28"
  },
  "devDependencies": {
    "@babel/cli": "^7.1.5",
    "@babel/core": "^7.1.6",
    "@babel/plugin-proposal-class-properties": "^7.1.0",
    "@babel/plugin-proposal-object-rest-spread": "^7.0.0",
    "@babel/plugin-syntax-dynamic-import": "^7.0.0",
    "@babel/plugin-transform-runtime": "^7.1.0",
    "@babel/preset-env": "^7.1.6",
    "@babel/register": "^7.0.0",
    "@vue/test-utils": "^1.0.0-beta.26",
    "autoprefixer": "^9.4.0",
    "babel-core": "^7.0.0-bridge.0",
    "babel-eslint": "^10.0.1",
    "babel-jest": "^23.6.0",
    "babel-loader": "^8.0.4",
    "chalk": "^2.4.1",
    "codemirror": "^5.42.0",
    "compression-webpack-plugin": "^2.0.0",
    "copy-webpack-plugin": "^4.6.0",
    "css-loader": "^1.0.1",
    "eslint": "^5.9.0",
    "eslint-plugin-compat": "^2.6.3",
    "eslint-plugin-es5": "^1.3.1",
    "eslint-plugin-import": "^2.14.0",
    "eslint-plugin-vue": "^4.7.1",
    "file-loader": "^2.0.0",
    "friendly-errors-webpack-plugin": "^1.7.0",
    "html-loader": "^0.5.5",
    "html-webpack-plugin": "^3.2.0",
    "http-proxy-middleware": "^0.19.1",
    "husky": "^1.2.0",
    "jest": "^23.6.0",
    "jest-serializer-vue": "^2.0.2",
    "node-notifier": "^5.3.0",
    "node-sass": "^4.10.0",
    "npm-run-all": "^4.1.5",
    "onchange": "^5.1.3",
    "optimize-css-assets-webpack-plugin": "^5.0.1",
    "ora": "^3.0.0",
    "portfinder": "^1.0.20",
    "prettier": "^1.15.3",
    "pretty-quick": "^1.8.0",
    "rimraf": "^2.6.0",
    "sass-loader": "^7.1.0",
    "sass-resources-loader": "^2.0.0",
    "semver": "^5.6.0",
    "shelljs": "^0.8.3",
    "style-loader": "^0.23.1",
    "terser-webpack-plugin": "^1.1.0",
    "theo": "^8.0.1",
    "url-loader": "^1.1.2",
    "vue-jest": "^3.0.1",
    "vue-loader": "^15.4.2",
    "vue-style-loader": "^4.1.2",
    "vue-styleguidist": "^2.0.2",
    "vue-template-compiler": "^2.6.10",
    "webpack": "^4.26.1",
    "webpack-bundle-analyzer": "^3.0.3",
    "webpack-cli": "^3.1.2",
    "webpack-dev-server": "^3.1.10",
    "webpack-merge": "^4.1.4",
    "webpack-merge-and-include-globally": "^2.1.7"
  },
  "engines": {
    "node": ">= 8.6.0",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not Explorer > 0",
    "IE 11",
    "not ExplorerMobile > 0",
    "not BlackBerry > 0",
    "not OperaMini all",
    "not OperaMobile > 0"
  ]
}
